// pages/loadAppoint/info.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    appointmentClassifyArray: [
      { label:'充电预约',value:'1' },
      { label:'管桩预约',value:'2' },
      { label:'其他预约',value:'3' },
    ], //预约类型
    info: {},
    appointTypeArray:[],//订单类型
    fileList:[], //司机回签图片
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    //订单类型
    let treeData = app.globalData.treeArr
    for (const element of treeData) {
      let arrStr;
      switch (element.dictValue) {
        case 'load_appoint_type':
          arrStr = "appointTypeArray";
          break;
        // case 'load_appoint_status':
        //   arrStr = "appointStatusArray";
        //   break;
      }
      this.setData({
        [arrStr]: element.children
      })
    }
    // 获取供应商
    this.getSupplier(options.id)
    //获取详情
    var pages = getCurrentPages();
    var prevPage = pages[pages.length - 2];
    let getInfo = prevPage.data.resData[options.index]
    this.setData({
      info : getInfo
    })
  },

  //查询详情
  getInfo: function (id) {
    //详情
    app.request.GET({
      url: app.API.bizloadappointDetail,
      page: this,
      params: {
        'id': id
      },
      successFun: true
    }).then(res => {
      let getInfo = res.data.data;
      this.setData({
        info: getInfo,
        accessControlAuth:JSON.parse(getInfo.accessControlAuth)
      })
    })
  },

  //获取供应商
  getSupplier: function (id) {
    //详情
    app.request.GET({
      url: app.API.bizloadappointSupplier,
      page: this,
      params: {
        'appointId': id
      },
      successFun: true
    }).then(res => {
      let supplierData = res.data.data;
      this.setData({
        supplierData: supplierData
      })
    })
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})